
package de.ivu.elect.presentation.wahlvorschlag;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;
import de.ivu.elect.presentation.wahlvorschlag.form.WahlvorschlagGruppeFinderProperty;

public class AutoUpdateWahlvorschlagZusatzbezeichnungProperty extends AbstractAutoUpdateWahlvorschlagStringProperty {

  public AutoUpdateWahlvorschlagZusatzbezeichnungProperty(AbstractStringProperty property, WahlvorschlagGruppeFinderProperty gruppeFinderProperty) {
    super(property, gruppeFinderProperty);
  }

  @Override
  protected String getValueAusGruppe(Gruppe gruppe, Gebiet gebiet) {
    return gruppe.getZusatzbezeichnungAufGebiet(gebiet);
  }
}
